Page MenuHomePhabricator

Add page-related topics to EventStreams
Closed, ResolvedPublic3 Story Points

Description

In order to make EventStreams streams more comprehensive change source that covers all change scenarios, and make it more useful for use cases like {T161731: Create reliable change stream for specific wiki} it would be nice to add topics for events in page lifecycle that are not covered by revision creation, namely:

  • mediawiki.page-delete
  • mediawiki.page-undelete
  • mediawiki.page-properties-change
  • mediawiki.page-move
  • mediawiki.page-create

Details

Related Gerrit Patches:
mediawiki/services/eventstreams : masterUpdate config and spec with page related events
operations/puppet : productionFix codfw typo for eventstreams config
operations/puppet : productionAdded page-related events to EventStreams.

Event Timeline

@Pchelolo he just wants us to configure them for EventStreams, so you can get at them at e.g. stream.wikimedia.org/v2/stream/page-delete

Oh, ok, I've misread EventStreams for EventBus :)

Pchelolo moved this task from Backlog to watching on the Services board.Feb 13 2018, 8:12 PM
Pchelolo edited projects, added Services (watching); removed Services.

Change 410251 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/puppet@production] Added page-delete, page-undelete and page-properties-change to EventStreams.

https://gerrit.wikimedia.org/r/410251

Pchelolo renamed this task from Add page delete/undelete and prop changes topics to EventStreams to Add page-related topics to EventStreams.Feb 16 2018, 7:20 PM
Pchelolo updated the task description. (Show Details)
fdans edited projects, added Analytics-Kanban; removed Analytics.Feb 22 2018, 6:08 PM

Change 410251 merged by Ottomata:
[operations/puppet@production] Added page-related events to EventStreams.

https://gerrit.wikimedia.org/r/410251

Mentioned in SAL (#wikimedia-operations) [2018-02-27T18:32:24Z] <otto@tin> Started deploy [eventstreams/deploy@7629e16]: Config deploy to publish page change related streams: T187241 (scb2001 only)

Mentioned in SAL (#wikimedia-operations) [2018-02-27T18:32:39Z] <otto@tin> Finished deploy [eventstreams/deploy@7629e16]: Config deploy to publish page change related streams: T187241 (scb2001 only) (duration: 00m 03s)

Mentioned in SAL (#wikimedia-operations) [2018-02-27T18:32:55Z] <otto@tin> Started restart [eventstreams/deploy@7629e16]: service restart to publish page change related streams: T187241 (scb2001 only)

Change 415065 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Fix codfw typo for eventstreams config

https://gerrit.wikimedia.org/r/415065

Change 415065 merged by Ottomata:
[operations/puppet@production] Fix codfw typo for eventstreams config

https://gerrit.wikimedia.org/r/415065

Change 415070 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/services/eventstreams@master] Update config and spec with page related events

https://gerrit.wikimedia.org/r/415070

Change 415070 merged by Ottomata:
[mediawiki/services/eventstreams@master] Update config and spec with page related events

https://gerrit.wikimedia.org/r/415070

Mentioned in SAL (#wikimedia-operations) [2018-02-27T19:03:16Z] <otto@tin> Started deploy [eventstreams/deploy@8f2eec4]: Publish page change related streams: T187241 (scb2002 only)

Mentioned in SAL (#wikimedia-operations) [2018-02-27T19:03:39Z] <otto@tin> Finished deploy [eventstreams/deploy@8f2eec4]: Publish page change related streams: T187241 (scb2002 only) (duration: 00m 22s)

Mentioned in SAL (#wikimedia-operations) [2018-02-27T19:03:54Z] <otto@tin> Started deploy [eventstreams/deploy@8f2eec4]: Publish page change related streams: T187241

Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.Feb 27 2018, 7:04 PM
Ottomata set the point value for this task to 3.

Mentioned in SAL (#wikimedia-operations) [2018-02-27T19:08:10Z] <otto@tin> Finished deploy [eventstreams/deploy@8f2eec4]: Publish page change related streams: T187241 (duration: 04m 16s)

Pchelolo closed this task as Resolved.Feb 27 2018, 9:21 PM
Pchelolo claimed this task.

One more smallish bug with CSP headers was discovered, so I've deployed again. Resolving.